Skip to main content
`Ctrl`+`K`

# truncated_cube_graph

truncated_cube_graph(create_using=None)

  Returns the skeleton of the truncated cube.

  The truncated cube is an Archimedean solid with 14 regular faces (6 octagonal and 8 triangular), 36 edges and 24 nodes [1]. The truncated cube is created by truncating (cutting off) the tips of the cube one third of the way into each edge [2].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      Skeleton of the truncated cube

  References

  [1]

  https://en.wikipedia.org/wiki/Truncated_cube

  [2]

  https://www.coolmath.com/reference/polyhedra-truncated-cube